All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
op::FrameDisplayer Class Reference

`#include <frameDisplayer.hpp>`

## Public Member Functions

| FrameDisplayer (const std::string &windowedName=OPEN_POSE_NAME_AND_VERSION, const Point< int > &initialWindowedSize=Point< int >{}, const bool fullScreen=false)
virtual | ~FrameDisplayer ()
void | initializationOnThread ()
void | setFullScreenMode (const FullScreenMode fullScreenMode)
void | switchFullScreenMode ()
void | displayFrame (const cv::Mat &frame, const int waitKeyValue=-1)
void | displayFrame (const std::vector< cv::Mat > &frames, const int waitKeyValue=-1)

## Detailed Description

The FrameDisplayer class is the one presenting visually the processed frame to the user.

## Constructor & Destructor Documentation

op::FrameDisplayer::FrameDisplayer | ( | const std::string & | windowedName = `OPEN_POSE_NAME_AND_VERSION`,
|  | const Point< int > & | initialWindowedSize = `Point< int >{}`,
|  | const bool | fullScreen = `false`
| ) |  |

Constructor of the FrameDisplayer class.

Parameters

  windowedName | const std::string value with the opencv resulting display name. Showed at the top-left part of the window.
  initialWindowedSize | const Point<int> with the initial window output resolution (width and height).
  fullScreen | bool from which the FrameDisplayer::FullScreenMode property mFullScreenMode will be set, i.e., specifying the type of initial display (it can be changed later).

virtual op::FrameDisplayer::~FrameDisplayer | ( |  | ) |

virtual

## Member Function Documentation

void op::FrameDisplayer::displayFrame | ( | const cv::Mat & | frame,
|  | const int | waitKeyValue = `-1`
| ) |  |

This function displays an image on the display.

Parameters

  frame | cv::Mat image to display.
  waitKeyValue | int value that specifies the argument parameter for cv::waitKey (see OpenCV documentation for more information). Special cases: select -1 not to use cv::waitKey or 0 for cv::waitKey(0). OpenCV doc: http://docs.opencv.org/2.4/modules/highgui/doc/user_interface.html?highlight=waitkey

void op::FrameDisplayer::displayFrame | ( | const std::vector< cv::Mat > & | frames,
|  | const int | waitKeyValue = `-1`
| ) |  |

Analogous to the previous displayFrame, but first it horizontally concatenates all the frames

void op::FrameDisplayer::initializationOnThread | ( |  | ) |

void op::FrameDisplayer::setFullScreenMode | ( | const FullScreenMode | fullScreenMode | ) |

This function set the new FrameDisplayer::FullScreenMode (e.g., full screen).

Parameters

  fullScreenMode | New FrameDisplayer::FullScreenMode state.

void op::FrameDisplayer::switchFullScreenMode | ( |  | ) |

This function switch between full screen and windowed modes (e.g., when double-click on video players or Ctrt+Enter are presed).

The documentation for this class was generated from the following file:

- /home/travis/build/CMU-Perceptual-Computing-Lab/openpose/include/openpose/gui/frameDisplayer.hpp